Page MenuHomePhabricator

packaging: add Cosmic and Disco, remove Trusty and Artful
ClosedPublic

Authored by av6 on Aug 25 2019, 8:50 AM.

Details

Summary
  • Trusty was publicly supported until 2019-04-30
  • Artful was publicly supported until 2018-07-19
  • Cosmic was publicly supported until 2019-07-18
  • Disco will be publicly supported until 2020-01

Cosmic is officially out-of-date, but since it still may be in use, and because
we didn't add it when it first came out, I think it would be nice to support it
until the next time somebody decides to update this list of Ubuntu releases.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

av6 created this revision.Aug 25 2019, 8:50 AM
av6 added a comment.Aug 25 2019, 8:53 AM

Intended for stable.

Confirming that building the packages for Cosmic and Disco actually works is very much welcome.

indygreg accepted this revision.Aug 25 2019, 12:04 PM
This revision is now accepted and ready to land.Aug 25 2019, 12:04 PM
This revision was automatically updated to reflect the committed changes.